# Uses of Interface
org.eclipse.jface.text.formatter.IContentFormatter

Packages that use IContentFormatter
Package
Description
org.eclipse.jface.text.formatter
Provides a content formatter add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IContentFormatter in org.eclipse.jface.text.formatter

Classes in org.eclipse.jface.text.formatter that implement IContentFormatter
Modifier and Type
Class
Description
`class`
`ContentFormatter`
Standard implementation of `IContentFormatter`.
`class`
`MultiPassContentFormatter`
Content formatter for edit-based formatting strategies.

## Uses of IContentFormatter in org.eclipse.jface.text.source

Fields in org.eclipse.jface.text.source declared as IContentFormatter
Modifier and Type
Field
Description
`protected IContentFormatter`
SourceViewer.`fContentFormatter`
The viewer's content formatter
Methods in org.eclipse.jface.text.source that return IContentFormatter
Modifier and Type
Method
Description
`IContentFormatter`
SourceViewerConfiguration.`getContentFormatter(ISourceViewer sourceViewer)`
Returns the content formatter ready to be used with the given source viewer.